| Home | Libraries | People | FAQ | More

## Macro BOOST_MPI_BCAST_BOTTOM_WORKS_FINE

BOOST_MPI_BCAST_BOTTOM_WORKS_FINE — Indicates that MPI_Bcast supports MPI_BOTTOM.

## Synopsis

    // In header: <boost/mpi/config.hpp>

    BOOST_MPI_BCAST_BOTTOM_WORKS_FINE

## Description

Some implementations have a broken MPI_Bcast wrt to MPI_BOTTOM. BullX MPI and LAM seems to be among them, at least for some versions. The `broacast_test.cpp` test `test_skeleton_and_content` can be used to detect that.